console.info('[SOCIETY] addRecipes.js loaded')

ServerEvents.recipes(event => {
    // Crafting up
    event.shapeless('society:gold_sea_coin', ['9x society:iron_sea_coin'])
    event.shapeless('society:neptunium_sea_coin', ['9x society:gold_sea_coin'])
    // Crafting down
    event.shapeless('9x society:iron_sea_coin', ['society:gold_sea_coin'])
    event.shapeless('9x society:gold_sea_coin', ['society:neptunium_sea_coin'])

    event.shapeless('2x aquaculture:neptunium_nugget', ['society:neptunium_sea_coin', 'minecraft:flint']).keepIngredient('minecraft:flint')

    // Decrees
    event.shapeless(Item.of('bountiful:decree', '{"bountiful:decree_data":\'{"ids":["shady_wizard"]}\'}'), ['society:unholy_contract','biomancy:primordial_core'])
    event.shapeless(Item.of('bountiful:decree', '{"bountiful:decree_data":\'{"ids":["hunter"]}\'}'), ['irons_spellbooks:hogskin', 'dimdungeons:block_portal_crown', 'irons_spellbooks:rare_ink'])
    event.shaped(Item.of('bountiful:decree', '{"bountiful:decree_data":\'{"ids":["gatekeeper"]}\'}'), [
      'rsr', 
      'cGc',
      'rNr'  
    ], {
      r: 'eidolon:crimson_essence',
      s: Item.of('irons_spellbooks:artificer_cane', '{ISBUpgrades:[{id:"irons_spellbooks:ender_power",slot:"mainhand",upgrades:3}]}').weakNBT(),
      c: 'dimdungeons:block_portal_crown',
      G: 'dimdungeons:block_portal_keyhole', 
      N: 'eidolon:notetaking_tools'   
    }
  )
    // Artifacts
    event.shaped('artifacts:universal_attractor', [
        'l s', 
        'SLS',
        'ISI'  
      ], {
        l: 'oreganized:lead_ingot',
        s: 'oreganized:silver_ingot',
        S: 'irons_spellbooks:shriving_stone',
        L: 'irons_spellbooks:lightning_bottle', 
        I: 'irons_spellbooks:legendary_ink'   
      }
    )

    event.shaped('artifacts:crystal_heart', [
        'GZG', 
        'ICI',
        'GJG'  
      ], {
        J: 'vinery:jo_special_mixture',
        Z: 'eidolon:zombie_heart',
        G: 'irons_spellbooks:greater_healing_potion', 
        C: 'irons_spellbooks:upgrade_orb',
        I: 'irons_spellbooks:legendary_ink'   
      }
    )
    // Misc
    event.smoking("quark:bottled_cloud", Item.of('minecraft:potion', {Potion:"minecraft:water"}));
    event.shapeless('upgrade_aquatic:driftwood_planks', ['aquaculture:driftwood'])
    event.shaped('8x upgrade_aquatic:coralstone', [
        'SSS', 
        'SNS',
        'SSS'  
      ], {
        S: 'minecraft:stone_bricks',
        N: 'minecraft:nautilus_shell'   
      }
    )
    // Lead/Silver management
    event.shapeless('eidolon:lead_block', ['oreganized:lead_block'])
    event.shapeless('eidolon:silver_block', ['oreganized:silver_block'])
    event.shapeless('embers:lead_block', ['oreganized:lead_block'])
    event.shapeless('embers:silver_block', ['oreganized:silver_block'])
    event.shapeless('oreganized:lead_block', ['eidolon:lead_block'])
    event.shapeless('oreganized:silver_block', ['eidolon:silver_block'])
    event.shapeless('oreganized:lead_block', ['embers:lead_block'])
    event.shapeless('oreganized:silver_block', ['embers:silver_block'])

    // Dramatic Doors
    event.shapeless('dramaticdoors:short_azalea_door', ['dramaticdoors:short_quark_azalea_door', 'minecraft:blue_dye'])
    event.shapeless('dramaticdoors:tall_azalea_door', ['dramaticdoors:tall_quark_azalea_door', 'minecraft:blue_dye'])
    event.shapeless('dramaticdoors:short_aspen_door', ['dramaticdoors:short_pewen_door', 'minecraft:yellow_dye'])
    event.shapeless('dramaticdoors:tall_aspen_door', ['dramaticdoors:tall_pewen_door', 'minecraft:yellow_dye'])
    event.shapeless('dramaticdoors:short_grimwood_door', ['dramaticdoors:short_soulblight_door', 'minecraft:black_dye'])
    event.shapeless('dramaticdoors:tall_grimwood_door', ['dramaticdoors:tall_soulblight_door', 'minecraft:black_dye'])
    event.shapeless('dramaticdoors:short_wisteria_door', ['dramaticdoors:short_oak_door', 'minecraft:white_dye'])
    event.shapeless('dramaticdoors:tall_wisteria_door', ['dramaticdoors:tall_oak_door', 'minecraft:white_dye'])
    event.shapeless('dramaticdoors:short_poise_door', ['dramaticdoors:short_crimson_door', 'minecraft:magenta_dye'])
    event.shapeless('dramaticdoors:tall_poise_door', ['dramaticdoors:tall_crimson_door', 'minecraft:magenta_dye'])
    event.shapeless('dramaticdoors:short_dark_cherry_door', ['dramaticdoors:short_cherry_door', 'minecraft:black_dye'])
    event.shapeless('dramaticdoors:tall_dark_cherry_door', ['dramaticdoors:tall_cherry_door', 'minecraft:black_dye'])
    event.shapeless('dramaticdoors:short_laurel_door', ['dramaticdoors:short_jungle_door', 'minecraft:brown_dye'])
    event.shapeless('dramaticdoors:tall_laurel_door', ['dramaticdoors:tall_jungle_door', 'minecraft:brown_dye'])
    event.shapeless('dramaticdoors:short_morado_door', ['dramaticdoors:short_mangrove_door', 'minecraft:red_dye'])
    event.shapeless('dramaticdoors:tall_morado_door', ['dramaticdoors:tall_mangrove_door', 'minecraft:red_dye'])
    event.shapeless('dramaticdoors:short_pine_door', ['dramaticdoors:short_jungle_door', 'alexscaves:pine_nuts'])
    event.shapeless('dramaticdoors:tall_pine_door', ['dramaticdoors:tall_jungle_door', 'alexscaves:pine_nuts'])
    event.shapeless('dramaticdoors:short_yucca_door', ['dramaticdoors:short_acacia_door', 'minecraft:brown_dye'])
    event.shapeless('dramaticdoors:tall_yucca_door', ['dramaticdoors:tall_acacia_door', 'minecraft:brown_dye'])
    event.shapeless('dramaticdoors:short_rosewood_door', ['dramaticdoors:short_mangrove_door', 'minecraft:white_dye'])
    event.shapeless('dramaticdoors:tall_rosewood_door', ['dramaticdoors:tall_mangrove_door', 'minecraft:white_dye'])
    event.shapeless('dramaticdoors:short_kousa_door', ['dramaticdoors:short_quark_azalea_door', 'minecraft:light_blue_dye'])
    event.shapeless('dramaticdoors:tall_kousa_door', ['dramaticdoors:tall_quark_azalea_door', 'minecraft:light_blue_dye'])
    event.shapeless('dramaticdoors:short_willow_door', ['dramaticdoors:short_quark_azalea_door', 'minecraft:green_dye'])
    event.shapeless('dramaticdoors:tall_willow_door', ['dramaticdoors:tall_quark_azalea_door', 'minecraft:green_dye'])
    event.shapeless('dramaticdoors:short_silver_door', ['dramaticdoors:short_iron_door', 'minecraft:light_blue_dye'])
    event.shapeless('dramaticdoors:tall_silver_door', ['dramaticdoors:tall_iron_door', 'minecraft:light_blue_dye'])

    event.stonecutting('2x dramaticdoors:short_quark_blossom_door', 'quark:blossom_door')

  })